Subject: Grass Problems

From: [email-masked]
Date: Sat, 06 Apr 1996 17:16:49 GMT

Last year our lawn suffered considerable damage, most likely from
grubs.  We now have a yard full of weeds.  I would like to know if any
one can give me some suggestions on how to go about restoring my yard.
Thanks for any advice or web pages where I could find the information.

Thanks,
Bryan